## General General |

## Synopsis

    #include <libtracker-common/tracker-utils.h>

    gchar *             tracker_escape_db_string            (const gchar *str,
                                                             gboolean add_quotes,
                                                             gboolean escape_percent);
    gboolean            tracker_is_empty_string             (const char *str);
    gchar *             tracker_seconds_estimate_to_string  (gdouble seconds_elapsed,
                                                             gboolean short_string,
                                                             guint items_done,
                                                             guint items_remaining);
    gchar *             tracker_seconds_to_string           (gdouble seconds_elapsed,
                                                             gboolean short_string);
    gchar *             tracker_string_remove               (gchar *haystack,
                                                             const gchar *needle);
    gchar *             tracker_string_replace              (const gchar *haystack,
                                                             const gchar *needle,
                                                             const gchar *replacement);
    void                tracker_throttle                    (TrackerConfig *config,
                                                             gint multiplier);

## Description

## Details

### tracker_escape_db_string ()

    gchar *             tracker_escape_db_string            (const gchar *str,
                                                             gboolean add_quotes,
                                                             gboolean escape_percent);

`str` : |
`add_quotes` : |
`escape_percent` : |
Returns : |

### tracker_is_empty_string ()

    gboolean            tracker_is_empty_string             (const char *str);

`str` : |
Returns : |

### tracker_seconds_estimate_to_string ()

    gchar *             tracker_seconds_estimate_to_string  (gdouble seconds_elapsed,
                                                             gboolean short_string,
                                                             guint items_done,
                                                             guint items_remaining);

`seconds_elapsed` : |
`short_string` : |
`items_done` : |
`items_remaining` : |
Returns : |

### tracker_seconds_to_string ()

    gchar *             tracker_seconds_to_string           (gdouble seconds_elapsed,
                                                             gboolean short_string);

`seconds_elapsed` : |
`short_string` : |
Returns : |

### tracker_string_remove ()

    gchar *             tracker_string_remove               (gchar *haystack,
                                                             const gchar *needle);

`haystack` : |
`needle` : |
Returns : |

### tracker_string_replace ()

    gchar *             tracker_string_replace              (const gchar *haystack,
                                                             const gchar *needle,
                                                             const gchar *replacement);

`haystack` : |
`needle` : |
`replacement` : |
Returns : |

### tracker_throttle ()

    void                tracker_throttle                    (TrackerConfig *config,
                                                             gint multiplier);

`config` : |
`multiplier` : |